package com.jasamedika.medifirst2000.etl.pasien.constant;

import lombok.Getter;

/**
 * @author salmanoe
 * @version 1.0.0
 * @since 19/10/2023
 */
public enum JenisKelamin {
    TIDAK_DIKETAHUI(0, "Tidak diketahui"),
    LAKI_LAKI(1, "Laki-laki"),
    PEREMPUAN(2, "Perempuan"),
    TIDAK_DAPAT_DITENTUKAN(3, "Tidak dapat ditentukan"),
    TIDAK_MENGISI(4, "Tidak mengisi");

    private final long id;

    @Getter
    private final String name;

    JenisKelamin(long id, String name) {
        this.id = id;
        this.name = name;
    }

    public long id() {
        return this.id;
    }

    @Override
    public String toString() {
        return Long.toString(id);
    }

    public static JenisKelamin valueOf(long id) {
        for (JenisKelamin jenisKelamin : values()) {
            if (jenisKelamin.id == id) {
                return jenisKelamin;
            }
        }
        throw new IllegalArgumentException("No matching constant for [" + id + "]");
    }
}
